import { AxiosRequestConfig } from "axios";
export default class Gracchi {
    key: string;
    url: string;
    constructor({ key, url }: {
        key: string;
        url: string;
    });
    orderbook({ base, quote }: {
        base: string;
        quote: string;
    }): Promise<any>;
    ticker({ base, quote }: {
        base: string;
        quote: string;
    }): Promise<any>;
    cancelOrder({ orderId }: {
        orderId: any;
    }): Promise<any>;
    getOrder({ orderId }: {
        orderId: any;
    }): Promise<any>;
    placeOrder({ base, quote, price, amount, side }: {
        base: any;
        quote: any;
        price: any;
        amount: any;
        side: any;
    }): Promise<any>;
    balance(): Promise<any>;
    _call(endpoint: string, method: AxiosRequestConfig["method"], params?: {}, auth?: boolean): Promise<any>;
}
